//Priority: 3
/**

  █▀▄▀█ █▀█ █▄░█ █░█ █▀▄▀█ █▀▀ █▄░█ ▀█▀ ▄▀█ █░░   █▀▀ ▀▄▀ █▀█ █▀▀ █▀█ █ █▀▀ █▄░█ █▀▀ █▀▀
  █░▀░█ █▄█ █░▀█ █▄█ █░▀░█ ██▄ █░▀█ ░█░ █▀█ █▄▄   ██▄ █░█ █▀▀ ██▄ █▀▄ █ ██▄ █░▀█ █▄▄ ██▄

  ☻/  * @file Starting Kit script for give Player starting items on first login
  /▌  * @copyright KnightDexx's Modded Minecraft World & ModernGamingWorld
  /\

*/
PlayerEvents.loggedIn(event => {

	//=== Check if player doesn't have "Starting Items" & "Game Stage" yet ===
	if (!event.player.stages.has('starting_items')) {
		//=== Add the Game Stage ===
		event.player.stages.add('starting_items')
		//=== Give the player "Starting Kit" ===
		event.player.setOffHandItem('minecraft:shield')
		event.player.setHeadArmorItem('minecraft:leather_helmet')
		event.player.setChestArmorItem('minecraft:leather_chestplate')
		event.player.setLegsArmorItem('minecraft:leather_leggings')
		event.player.setFeetArmorItem('minecraft:leather_boots')
    event.player.give(Item.of('eccentrictome:tome', '{"eccentrictome:mods":{alexsmobs:{0:{Count:1.0d,id:"alexsmobs:animal_dictionary"}},apotheosis:{0:{Count:1.0d,id:"patchouli:guide_book",tag:{"patchouli:book":"apotheosis:apoth_chronicle"}}},ars_nouveau:{0:{Count:1.0d,id:"ars_nouveau:worn_notebook"}},botania:{0:{Count:1.0d,id:"botania:lexicon"}},croptopia:{0:{Count:1.0d,id:"croptopia:guide"}},enigmaticlegacy:{0:{Count:1.0d,id:"enigmaticlegacy:the_acknowledgment"}},extendedcrafting:{0:{Count:1.0d,id:"patchouli:guide_book",tag:{"patchouli:book":"extendedcrafting:guide"}}},ftbquests:{0:{Count:1.0d,id:"ftbquests:book"}},immersiveengineering:{0:{Count:1.0d,id:"immersiveengineering:manual"}},industrialforegoing:{0:{Count:1.0d,id:"patchouli:guide_book",tag:{"patchouli:book":"industrialforegoing:industrial_foregoing"}}},mysticalagriculture:{0:{Count:1.0d,id:"patchouli:guide_book",tag:{"patchouli:book":"mysticalagriculture:guide"}}},naturesaura:{0:{Count:1.0d,id:"patchouli:guide_book",tag:{"patchouli:book":"naturesaura:book"}}},rftoolsbase:{0:{Count:1.0d,id:"rftoolsbase:manual"}},sebastrnlib:{0:{Count:1.0d,id:"patchouli:guide_book",tag:{"patchouli:book":"sebastrnlib:sebastrn_mods_guide_book"}}},securitycraft:{0:{Count:1.0d,id:"securitycraft:sc_manual"}},thermal:{0:{Count:1.0d,id:"patchouli:guide_book",tag:{"patchouli:book":"thermal:guidebook"}}}},"eccentrictome:version":1.0d}'))
		event.player.give('4x minecraft:oak_sapling')
		event.player.give('naturescompass:naturescompass')
		event.player.give('sophisticatedbackpacks:backpack')
		event.player.give('prefab:item_house_improved')
		event.player.give('prefab:item_farm_improved')
		event.player.give('4x minecraft:cookie')
		event.player.give('comforts:sleeping_bag_light_blue')
		event.player.give('minecraft:crafting_table')
		event.player.give('minecraft:smithing_table')
	}

})
